xssl_client_init(3)

NAME
xssl_client_init - API function

SYNOPSIS
#include <gnutls/xssl.h>

int xssl_client_init(xssl_t * isb, const char * hostname, const char * service, gnutls_transport_ptr fd, const char * priority, xssl_cred_t cred, unsigned int * status, unsigned int flags);

ARGUMENTS

xssl_t * isb
    is a pointer to a xssl_t structure.

const char * hostname
    The name of the host to connect to

const char * service
    The name of the host to connect to

gnutls_transport_ptr fd
    a socket descriptor

const char * priority
    A priority string to use (use NULL for default)

xssl_cred_t cred
    A credentials structure

unsigned int * status
    An authentication failure status

unsigned int flags
    should be zero or GNUTLS_SBUF_WRITE_FLUSHES

DESCRIPTION
This function initializes a xssl_t structure. If the flag GNUTLS_SBUF_WRITE_FLUSHES is set then xssl_queue() will flush when the maximum data size for a record is reached. If peer verification fails then GNUTLS_E_AUTH_ERROR is returned.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
3.1.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/